import * as tslib_1 from "tslib";
import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { ChaikinOscillatorIndicator } from "./ChaikinOscillatorIndicator";
/**
 * Represents the IgxDataChartComponent Chaikin Oscillator indicator series.
 * Default required members: Close, Low, High, Volume
*/
var IgrChaikinOscillatorIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(IgrChaikinOscillatorIndicator, _super);
    function IgrChaikinOscillatorIndicator(props) {
        return _super.call(this, props) || this;
    }
    IgrChaikinOscillatorIndicator.prototype.createImplementation = function () {
        return new ChaikinOscillatorIndicator();
    };
    Object.defineProperty(IgrChaikinOscillatorIndicator.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgrChaikinOscillatorIndicator.prototype, "shortPeriod", {
        /**
         * Gets or sets the short moving average period for the current ChaikinOscillatorIndicator object.
         * The typical, and initial, value for short CHO periods is 3.
        */
        get: function () {
            return this.i.shortPeriod;
        },
        set: function (v) {
            this.i.shortPeriod = +v;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgrChaikinOscillatorIndicator.prototype, "longPeriod", {
        /**
         * Gets or sets the long moving average period for the current ChaikinOscillatorIndicator object.
         * The typical, and initial, value for long CHO periods is 10.
        */
        get: function () {
            return this.i.longPeriod;
        },
        set: function (v) {
            this.i.longPeriod = +v;
        },
        enumerable: true,
        configurable: true
    });
    return IgrChaikinOscillatorIndicator;
}(IgrStrategyBasedIndicator));
export { IgrChaikinOscillatorIndicator };
